<?
$adm_add=NULL;
$adm_add2=NULL;
if (!isset($user) || $user['level']==0){
$q222=mysql_query("SELECT * FROM `forum_f` WHERE `adm` = '1'");
while ($adm_f = mysql_fetch_assoc($q222))
{
$adm_add[]="`id_forum` <> '$adm_f[id]'";
}
if (sizeof($adm_add)!=0)
$adm_add2=' WHERE'.implode(' AND ', $adm_add);
}
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_t`$adm_add2"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
echo "<table class='post'>\n";
echo "<div class='obmen'>";
echo "Сейчас обсуждают:"; 
echo " <img src='/style/icons/001.png' alt='' class='icon'/>\n";
echo "</div>\n";
$q=mysql_query("SELECT * FROM `forum_t`$adm_add2 ORDER BY `time` DESC LIMIT 3");

if (mysql_num_rows($q)==0) {
echo "Нет тем\n";
}
while ($them = mysql_fetch_assoc($q))
{
echo "   <tr>\n";
if ($user['zebra_forum']==0)
{
if($num==1){ 
echo "<td class='linechat'>"; 
$num=0;
}else{ 
echo "<td class='linechat'>"; 
$num=1;}
}

if ($user['zebra_forum']==1)
{
if($num==1){ 
echo "<td class='forumwup'>"; 
$num=0;
}else{ 
echo "<td class='forumdiv'>"; 
$num=1;}
}

$forum=mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_f` WHERE `id` = '$them[id_forum]' LIMIT 1"));
$razdel=mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_r` WHERE `id` = '$them[id_razdel]' LIMIT 1"));
$ank=mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = $them[id_user] LIMIT 1"));

$post=mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_p` WHERE `id_them` = '$them[id]' AND `id_razdel` = '$razdel[id]' AND `id_forum` = '$forum[id]' ORDER BY `time` DESC LIMIT 1"));
$ank2=mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = $post[id_user] LIMIT 1"));
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `ban` WHERE `id_user` = '$ank2[id]' AND `time` > '$time'"), 0)!=0)
echo "<font color='red'>[BAN]</font>\n";
echo "".online($ank2['id'])."  <a href='/info.php?id=$ank2[id]' title='Анкета \"$ank2[nick]\"'><span style=\"color:$ank2[ncolor]\">$ank2[nick]</span></a>\n";
echo "<img src='/style/themes/$set[set_them]/forum/14/them_$them[up]$them[close].png' alt='' />";
echo " <a href='/forum/$forum[id]/$razdel[id]/$them[id]/'>$them[name]</a> (".mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_p` WHERE `id_forum` = '$forum[id]' AND `id_razdel` = '$razdel[id]' AND `id_them` = '$them[id]'"),0).") <a href='/forum/$forum[id]/$razdel[id]/$them[id]/?page=end'><font color='red'>&raquo;</font></a><br/>\n";
}
echo "</table>\n";
?>